[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetTextBuf

Updates the Text property from a PChar buffer.

## Declaration

Source position: controls.pp line 1731

`public procedure TControl.SetTextBuf(`
`Buffer: PChar`
`); virtual;`

## Arguments

`Buffer` |  | Pointer to the buffer containing the zero-terminated text.

## Description

This method only exists for Delphi compatibility.

Don't use or override it, unless really necessary.

## See also

TControl.RealSetText |  | Sets the value for the Caption property.